#include "Object.h"
#include <iostream>
using namespace std;

Object::Object(void)
	:matrix(nullptr), rowCount(0), columnCount(0)
{
}
int* Object::operator[](int i)
{
	return matrix[i];
}
void Object::readMatrix(istream& in)
{
	for(int y = 0; y < rowCount; y++)
		for(int x = 0; x < columnCount; x++)
			in>>matrix[y][x];
}
void Object::createMatrix(int rows,int cols)	
{
	rowCount = rows;
	columnCount = cols;
	matrix = new int*[rowCount];
	for(int i = 0; i<rowCount; ++i)
		matrix[i] = new int[columnCount];
}
ostream& operator<<(ostream& out, const Object& field)
{
	for(int y = 0; y < field.rowCount; y++)
	{
		for(int x = 0; x < field.columnCount; x++)
			out<<field.matrix[y][x]<<" ";
		out<<endl;
	}
	return out;
}
const int* Object::operator[](int i)const
{
	return matrix[i];
}
Object::~Object(void)
{
	for(int i = 0; i < rowCount; i++)
		delete[] matrix[i];
	delete[] matrix;
}
