#include "Result.h"
#include <iostream>
#include <list>
#include <algorithm>
using namespace std;
Result::Result(void)
	:result1(),result2(),currentResult(&result1),workResult(&result2)
{
}
void Result::addJump(int animalId,int row,int col)
{
	workResult->push_back(Jump(animalId,row,col));
}
void Result::setWorkAsCurrent()
{
	swap(currentResult,workResult);
	workResult->clear();
}
void Result::createSolutionFile(ostream& out)
{
	out<<currentResult->size()<<endl;
	for_each(currentResult->rbegin(),currentResult->rend(),[&out](Result::Jump r)
	{
		out<<r<<endl;
	});

}
std::ostream& operator<<(std::ostream& out, const Result::Jump& jump)
{
		out<<jump.animalId<<" "<<jump.row+1<<" "<<jump.col+1;
		return out;
}