#pragma once
#include <iostream>
#include <list>
class Result
{
		
public:
	Result(void);
	void setWorkAsCurrent();
	void createSolutionFile(std::ostream& out);
	void addJump(int animalId,int row,int col);
	struct Jump
	{
		Jump(int animalId,int row,int col)
			:animalId(animalId),row(row),col(col)
		{}
		int animalId;
		int row,col;
		friend std::ostream& operator<<(std::ostream& out, const Jump& jump);
	};

private:
	std::list<Jump> result1;
	std::list<Jump> result2;
	std::list<Jump> *currentResult;
	std::list<Jump> *workResult;
	
};


