#pragma once
#include <iostream>
class Object
{
public:
	Object(void);
	int* operator[](int i);
	const int* operator[](int i) const;
	int getRowsCount()const
	{
		return rowCount;
	}
	int getColumnsCount()const
	{
		return columnCount;
	}
	virtual ~Object(void);
protected:
	virtual void readMatrix(std::istream& in);
	void createMatrix(int rows, int cols);
	int** matrix;
	int rowCount;
	int columnCount;
	friend std::ostream& operator<<(std::ostream& out, const Object& obj);
};

